# NavigationHelpButton

#### new Cesium.NavigationHelpButton(options)
Widgets/NavigationHelpButton/NavigationHelpButton.js 32

The NavigationHelpButton is a single button widget for displaying instructions for navigating the globe with the mouse.

Name | Type | Description
--- | --- | ---
`options` | Object | Object with the following properties:
Name | Type | Default | Description
--- | --- | --- | ---
`container` | Element | String |  | The DOM element or ID that will contain the widget.
`instructionsInitiallyVisible` | Boolean | `false` | optional True if the navigation instructions should initially be visible; otherwise, false.

##### Throws:

- DeveloperError : Element with id "container" does not exist in the document.

##### Example:

    // In HTML head, include a link to the NavigationHelpButton.css stylesheet,
    // and in the body, include: <div id="navigationHelpButtonContainer"></div>

    var navigationHelpButton = new Cesium.NavigationHelpButton({
        container : 'navigationHelpButtonContainer'
    });

### Members

#### container : Element
Widgets/NavigationHelpButton/NavigationHelpButton.js 232

Gets the parent container.

#### viewModel : NavigationHelpButtonViewModel
Widgets/NavigationHelpButton/NavigationHelpButton.js 244

Gets the view model.

### Methods

#### destroy()
Widgets/NavigationHelpButton/NavigationHelpButton.js 262

Destroys the widget. Should be called if permanently removing the widget from layout.

#### isDestroyed() → Boolean
Widgets/NavigationHelpButton/NavigationHelpButton.js 254

##### Returns:

true if the object has been destroyed, false otherwise.